Subject: [clue] Framework example from RTP usage presentation in Paris

From: "Duckworth, Mark" <[email-masked]>
Date: Thu, 17 May 2012 15:24:50 -0700

In the Paris meeting minutes there is an action item:
- Framework: include examples/diagrams from chart 7&8 of RTP usage charts

This is the text from the charts:
Req. Media-4 - "It must be possible for an original source to move among switched captures (i.e. at one time be sent for one switched capture, and at a later time be sent for another one)."
- The example is the three-camera-to-two-screen: 
- Receiver, getting two switched captures (Left and Right).
- Initially, source 1 is sent for the Left switched capture, source 2 for the Right switched capture.
- After a change, source 2 is sent for the Left switched capture, source 3 for the Right switched capture.
- Notice that source 2 was Right, but is now Left.

I'm trying to remember what the group thought should be added to the framework.  Is it something for the example section at the end?  Here is a proposal:

The media provider makes an advertisement with five video captures and two capture scene entries like this:
VC1 - switched=false, coords indicate it is on the left
VC2 - switched=false, coords indicate it is in the center
VC3 - switched=false, coords indicate it is on the right
VC4 - switched=true, coords indicate it is on the left
VC5 - switched=true, coords indicate it is on the right

Capture scene entry 1 - (VC1, VC2, VC3)
Capture scene entry 2 - (VC4, VC5)

The media consumer chooses to receive VC4 and VC5.
The provider initially sends original source VC1 media for VC4, and original source VC2 media for VC5.
Then after a switch, the provider sends original source VC2 media for VC4, and original source VC3 media for VC5.

So would it be helpful if I added this example into the framework?

I think we talked about this issue also:
>From the consumer's point of view, it is always receiving VC4 and VC5.  The consumer always needs to know, for every media packet it receives, which VC (4 or 5) it belongs to.  The consumer might also want to know that the video that was previously on VC5 was coming from the same camera that is now sending video on VC4, but it doesn't need to know this instantly when the media packets arrive.  And during the switch, the consumer may need an I-frame for both VC4 and VC5.

Should this issue also be described in the framework?

Regards,
Mark